## dmapi 2.0.2-1

=== Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

CONFIGURE = configure include/builddefs
LSRCFILES = configure configure.in Makepkgs install-sh README VERSION

LDIRT = config.log config.status config.cache confdefs.h conftest* \
	Logs/* built .census install.* install-dev.* *.gz

SUBDIRS = include libdm man doc debian build

default: $(CONFIGURE)
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(SUBDIRS_MAKERULE)
endif

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

$(CONFIGURE):
	autoconf
	./configure
	touch .census

install: default
	$(SUBDIRS_MAKERULE)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install-dev: default
	$(SUBDIRS_MAKERULE)

realclean distclean: clean
	rm -f $(LDIRT) $(CONFIGURE)
	[ ! -d Logs ] || rmdir Logs

=== debian/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = changelog control copyright rules
DEV_DOC_DIR = $(PKG_DOC_DIR)/../$(PKG_NAME)-dev

default:

include $(BUILDRULES)

install: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 changelog $(PKG_DOC_DIR)/changelog.Debian
endif

install-dev: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 755 -d $(DEV_DOC_DIR)
	$(INSTALL) -m 644 copyright $(DEV_DOC_DIR)
	$(INSTALL) -m 644 changelog $(DEV_DOC_DIR)/changelog.Debian
endif

=== doc/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = INSTALL PORTING CHANGES COPYING
LDIRT = *.gz

default: CHANGES.gz

include $(BUILDRULES)

CHANGES.gz:
	$(ZIP) --best -c < CHANGES > $@

install: default
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 PORTING CHANGES.gz $(PKG_DOC_DIR)
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -S CHANGES.gz $(PKG_DOC_DIR)/changelog.gz
else
	$(INSTALL) -m 644 COPYING $(PKG_DOC_DIR)
endif

install-dev:

=== include/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

HFILES = dmapi.h
LSRCFILES = builddefs.in buildmacros buildrules dmapi_kern.h

default install :

include $(BUILDRULES)

install-dev: default
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
	$(INSTALL) -m 644 $(HFILES) $(PKG_INC_DIR)

=== libdm/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libdm.la
#LDLIBS = -lhandle
LT_CURRENT = 0
LT_REVISION = 2
LT_AGE = 0

HFILES = dmapi_lib.h
CFILES = dmapi_lib.c dm_attr.c dm_bulkattr.c dm_config.c dm_dmattr.c \
	 dm_event.c dm_handle.c dm_handle2path.c dm_hole.c dm_mountinfo.c \
	 dm_region.c dm_right.c dm_rdwr.c dm_session.c

default: $(LTLIBRARY)

include $(BUILDRULES)

install: default
	$(INSTALL_LTLIB)

install-dev: default
	$(INSTALL_LTLIB_DEV)

=== man/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

SUBDIRS = man3

default install install-dev : $(SUBDIRS)
	$(SUBDIRS_MAKERULE)

include $(BUILDRULES)

=== man/man3/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

MAN_SECTION	= 3

MAN_PAGES	= $(shell echo *.$(MAN_SECTION))
MAN_DEST	= $(PKG_MAN_DIR)/man$(MAN_SECTION)
LSRCFILES	= $(MAN_PAGES)

default install : $(MAN_PAGES)

include $(BUILDRULES)

install-dev : default
	$(INSTALL) -m 755 -d $(MAN_DEST)
	$(INSTALL_MAN)

=== debian/changelog ===
dmapi (2.0.2-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Sat, 13 Apr 2002 09:45:06 +1000

dmapi (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri,  5 Apr 2002 15:50:03 +1100

dmapi (2.0.0-1) unstable; urgency=low

  * Major release to coincide with switch to new extended attributes
    system call interfaces

 -- Nathan Scott <nathans@debian.org>  Thu,  7 Feb 2002 13:25:26 +1100

dmapi (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Kernel-side of DMAPI is now modular, so the device has moved
  * Change DMAPI to use new device location - /proc/fs/xfs_dmapi

 -- Nathan Scott <nathans@debian.org>  Thu,  6 Dec 2001 10:23:28 +1100

dmapi (0.2.2-0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 27 Jul 2001 07:59:49 +1000

dmapi (0.2.1-0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 23 Jul 2001 10:27:37 +1000

dmapi (0.2.0-0) unstable; urgency=low

  * Reworked package slightly so that its not Debian native
  * Debian-specific changes now documented in changelog.Debian.gz
  * New upstream release (see /usr/share/doc/dmapi/changelog.gz)
  * Checked standards compliance - update standards version to 3.5.5

 -- Nathan Scott <nathans@debian.org>  Thu, 19 Jul 2001 17:14:40 +1000

dmapi (0.1.0) unstable; urgency=low

  * Initial release.

 -- Nathan Scott <nathans@debian.org>  Thu,  4 Jan 2001 11:15:11 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dmapi
Section: admin
Priority: optional
Maintainer: Nathan Scott <nathans@debian.org>
Build-Depends: xfslibs-dev (>= 2.0.0), autoconf, debmake, libtool
Standards-Version: 3.5.5

Package: dmapi
Depends: ${shlibs:Depends}
Recommends: xfsdump (>= 2.0.0)
Architecture: any
Description: Data Management API runtime environment
 Files required by system software using the Data Management API
 (DMAPI).  This is used to implement the interface defined in the
 X/Open document:  Systems Management: Data Storage Management
 (XDSM) API dated February 1997.  This interface is implemented
 by the libdm library.

Package: dmapi-dev
Section: devel
Priority: extra
Depends: libc6-dev, dmapi (>= 2.0.0), xfslibs-dev (>= 2.0.0)
Conflicts: dmapi (<< 2.0.0), xfslibs-dev (<< 2.0.0)
Architecture: any
Description: Data Management API static libraries and headers
 dmapi-dev contains the libraries and header files needed to
 develop programs which make use of the Data Management API
 (DMAPI).  You must install the xfslibs-dev package with
 dmapi-dev.

=== debian/rules ===
#!/usr/bin/make -f

package = dmapi
develop = $(package)-dev

dirtmp = debian/tmp
dirdev = debian/$(develop)
pkgtmp = DIST_ROOT=`pwd`/$(dirtmp); export DIST_ROOT;
pkgdev = DIST_ROOT=`pwd`/$(dirdev); export DIST_ROOT;
stdenv = @GZIP=-q; export GZIP;

options = DEBUG="-DNDEBUG"; OPTIMIZER="-O1 -g"; DISTRIBUTION="debian"; \
	export DEBUG OPTIMIZER DISTRIBUTION;
checkdir = test -f debian/rules

build: built
built: config
	@echo "== dpkg-buildpackage: build" 1>&2
	$(MAKE) default
	touch built

config: .census
.census:
	@echo "== dpkg-buildpackage: configure" 1>&2
	$(checkdir)
	autoconf
	$(options) ./configure
	touch .census

clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	$(checkdir)
	-rm -f built .census
	$(MAKE) distclean
	-rm -rf $(dirtmp) $(dirdev) debian/*substvars debian/files*

binary-indep:

# Note1: dev pkg with .so symlinks to base pkg confuses debstd;
# so the .so 'Dangling symlink' message is benign.
# Note2: absolute symlinks (required by policy) confuse debstd;
# so we'll filter out symlink messages entirely now.
# 
binary-arch: checkroot built
	@echo "== dpkg-buildpackage: binary-arch" 1>&2
	$(checkdir)
	-rm -rf $(dirtmp) $(dirdev)
	$(pkgtmp) $(MAKE) -C . install
	$(pkgdev) $(MAKE) -C . install-dev
	$(pkgtmp) $(MAKE) -C build src-manifest
	@echo "== dpkg-buildpackage: debstd" 1>&2
	$(stdenv) debstd -m | grep -v 'Dangling symlink'
	dpkg-gencontrol -isp -p$(package) -P$(dirtmp)
	dpkg-gencontrol -isp -p$(develop) -P$(dirdev)
	chown -R root.root $(dirtmp) $(dirdev)
	chmod -R go=rX $(dirtmp) $(dirdev)
	dpkg --build $(dirtmp) .. 
	dpkg --build $(dirdev) ..

binary: binary-indep binary-arch

checkroot:
	test 0 -eq `id -u`

.PHONY: binary binary-arch binary-indep clean checkroot

## dmapi 2.2.1-1

=== debian/changelog ===
dmapi (2.2.1-1) unstable; urgency=low

  * New upstream release (closes: #305055)

 -- Nathan Scott <nathans@debian.org>  Wed, 29 Sep 2004 11:28:20 +1000

dmapi (2.2.0-1) unstable; urgency=low

  * New upstream release (works for both 2.6 and 2.4 now)

 -- Nathan Scott <nathans@debian.org>  Thu, 22 Apr 2004 10:19:32 +1000

dmapi (2.1.0-1) unstable; urgency=low

  * New upstream release
  * Renamed packages to follow policy guidelines (closes: #141753)

 -- Nathan Scott <nathans@debian.org>  Sat, 18 Oct 2003 09:38:40 +1000

dmapi (2.0.8-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Sat, 26 Apr 2003 04:36:01 +1000

dmapi (2.0.6-1) unstable; urgency=low

  * New upstream release
  * Updated policy version to which this package conforms

 -- Nathan Scott <nathans@debian.org>  Thu, 27 Mar 2003 10:30:18 +1100

dmapi (2.0.5-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu,  4 Jul 2002 12:10:38 +1000

dmapi (2.0.3-1) unstable; urgency=low

  * New upstream release
  * kernel-library interface has changed, now 64bit safe

 -- Nathan Scott <nathans@debian.org>  Thu, 13 Jun 2002 09:13:23 +1000

## dmapi 2.2.2-1

=== Makefile ===
#
# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

CONFIGURE = configure include/builddefs
LSRCFILES = configure configure.in aclocal.m4 Makepkgs install-sh README VERSION

LDIRT = config.log .dep config.status config.cache confdefs.h conftest* \
	Logs/* built .census install.* install-dev.* *.gz

SUBDIRS = include libdm m4 man doc debian build

default: $(CONFIGURE)
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(SUBDIRS_MAKERULE)
endif

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

$(CONFIGURE):
	autoconf
	./configure \
		--prefix=/ \
		--exec-prefix=/ \
		--sbindir=/bin \
		--bindir=/usr/bin \
		--libdir=/lib \
		--libexecdir=/usr/lib \
		--includedir=/usr/include \
		--mandir=/usr/share/man \
		--datadir=/usr/share \
		$$LOCAL_CONFIGURE_OPTIONS
	touch .census

aclocal.m4::
	aclocal --acdir=$(TOPDIR)/m4 --output=$@

install: default
	$(SUBDIRS_MAKERULE)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install-dev: default
	$(SUBDIRS_MAKERULE)

realclean distclean: clean
	rm -f $(LDIRT) $(CONFIGURE)
	rm -rf autom4te.cache Logs

=== doc/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = INSTALL PORTING CHANGES COPYING
LDIRT = *.gz

default: CHANGES.gz

include $(BUILDRULES)

CHANGES.gz:
	$(ZIP) --best -c < CHANGES > $@

install: default
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 PORTING CHANGES.gz $(PKG_DOC_DIR)
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -S CHANGES.gz $(PKG_DOC_DIR)/changelog.gz
else
	$(INSTALL) -m 644 COPYING $(PKG_DOC_DIR)
endif

install-dev:

=== libdm/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libdm.la
LT_CURRENT = 0
LT_REVISION = 4
LT_AGE = 0

HFILES = dmapi_lib.h
CFILES = dmapi_lib.c dm_attr.c dm_bulkattr.c dm_config.c dm_dmattr.c \
	 dm_event.c dm_handle.c dm_handle2path.c dm_hole.c dm_mountinfo.c \
	 dm_region.c dm_right.c dm_rdwr.c dm_session.c

default: $(LTLIBRARY)

include $(BUILDRULES)

install: default
	$(INSTALL_LTLIB)

install-dev: default
	$(INSTALL_LTLIB_DEV)

=== m4/Makefile ===
#
# Copyright (c) 2003 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = \
	manual_format.m4 \
	package_globals.m4 \
	package_utilies.m4 \
	package_xfslibs.m4

default: 

include $(BUILDRULES)

install install-dev install-lib: default

=== debian/changelog ===
dmapi (2.2.2-1) unstable; urgency=low

  * New upstream release (closes: #305055)

 -- Nathan Scott <nathans@debian.org>  Thu, 10 Nov 2005 08:02:35 +1100

=== debian/control ===
Source: dmapi
Section: admin
Priority: optional
Maintainer: Nathan Scott <nathans@debian.org>
Build-Depends: xfslibs-dev (>= 2.0.0), autoconf, debmake, libtool
Standards-Version: 3.5.9

Package: libdm0
Section: libs
Priority: optional
Depends: ${shlibs:Depends}
Provides: dmapi
Replaces: dmapi
Recommends: xfsdump (>= 2.0.0)
Architecture: any
Description: Data Management API runtime environment
 Files required by system software using the Data Management API
 (DMAPI).  This is used to implement the interface defined in the
 X/Open document:  Systems Management: Data Storage Management
 (XDSM) API dated February 1997.  This interface is implemented
 by the libdm library.

Package: libdm0-dev
Section: libdevel
Priority: extra
Depends: libc6-dev, libdm0, xfslibs-dev (>= 2.0.0)
Provides: dmapi-dev
Replaces: dmapi-dev
Conflicts: xfslibs-dev (<< 2.0.0)
Architecture: any
Description: Data Management API static libraries and headers
 libdm0-dev contains the libraries and header files needed to
 develop programs which make use of the Data Management API
 (DMAPI).

## dmapi 2.2.4-1

=== debian/Makefile ===
#
# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = changelog control copyright rules
DEV_DOC_DIR = $(PKG_DOC_DIR)/../libdm0-dev
LIB_DOC_DIR = $(PKG_DOC_DIR)/../libdm0

default:

include $(BUILDRULES)

install: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 755 -d $(LIB_DOC_DIR)
	$(INSTALL) -m 644 copyright $(LIB_DOC_DIR)
	$(INSTALL) -m 644 changelog $(LIB_DOC_DIR)/changelog.Debian
endif

install-dev: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 755 -d $(DEV_DOC_DIR)
	$(INSTALL) -m 644 copyright $(DEV_DOC_DIR)
	$(INSTALL) -m 644 changelog $(DEV_DOC_DIR)/changelog.Debian
endif

=== debian/changelog ===
dmapi (2.2.4-1) unstable; urgency=low

  * New upstream release
  * Fix build dependencies and use -O2 now (closes: #357788)

 -- Nathan Scott <nathans@debian.org>  Wed, 22 Mar 2006 10:16:13 +1100

dmapi (2.2.3-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 21 Nov 2005 17:48:53 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Nathan Scott <nathans@debian.org>
-Build-Depends: xfslibs-dev (>= 2.0.0), autoconf, debmake, libtool
+Build-Depends: xfslibs-dev (>= 2.7.13), autoconf, debmake, libtool
 Standards-Version: 3.5.9
 
 Package: libdm0
@@ -11,7 +11,7 @@
 Depends: ${shlibs:Depends}
 Provides: dmapi
 Replaces: dmapi
-Recommends: xfsdump (>= 2.0.0)
+Recommends: xfsdump (>= 2.2.34)
 Architecture: any
 Description: Data Management API runtime environment
  Files required by system software using the Data Management API
@@ -23,10 +23,10 @@
 Package: libdm0-dev
 Section: libdevel
 Priority: extra
-Depends: libc6-dev, libdm0, xfslibs-dev (>= 2.0.0)
+Depends: libc6-dev, libdm0, xfslibs-dev (>= 2.7.13)
 Provides: dmapi-dev
 Replaces: dmapi-dev
-Conflicts: xfslibs-dev (<< 2.0.0)
+Conflicts: xfslibs-dev (<< 2.7.13)
 Architecture: any
 Description: Data Management API static libraries and headers
  libdm0-dev contains the libraries and header files needed to

=== debian/rules ===
#!/usr/bin/make -f

package = dmapi
develop = libdm0-dev
library = libdm0

dirdev = debian/$(develop)
dirlib = debian/tmp
pkgdev = DIST_ROOT=`pwd`/$(dirdev); export DIST_ROOT;
pkglib = DIST_ROOT=`pwd`/$(dirlib); export DIST_ROOT;
stdenv = @GZIP=-q; export GZIP;

options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
	  INSTALL_USER=root INSTALL_GROUP=root ;
checkdir = test -f debian/rules

build: built
built: config
	@echo "== dpkg-buildpackage: build" 1>&2
	$(MAKE) default
	touch built

config: .census
.census:
	@echo "== dpkg-buildpackage: configure" 1>&2
	$(checkdir)
	$(options) $(MAKE) configure
	touch .census

clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	$(checkdir)
	-rm -f built .census
	$(MAKE) distclean
	-rm -rf $(dirtmp) $(dirdev) $(dirtmp) debian/*substvars debian/files*

binary-indep:

# Note1: dev pkg with .so symlinks to base pkg confuses debstd;
# so the .so 'Dangling symlink' message is benign.
# Note2: absolute symlinks (required by policy) confuse debstd;
# so we'll filter out symlink messages entirely now.
# 
binary-arch: checkroot built
	@echo "== dpkg-buildpackage: binary-arch" 1>&2
	$(checkdir)
	-rm -rf $(dirtmp) $(dirdev) $(dirlib)
	$(pkgdev) $(MAKE) -C . install-dev
	$(pkglib) $(MAKE) -C . install
	$(pkglib) $(MAKE) -C build src-manifest
	@echo "== dpkg-buildpackage: debstd" 1>&2
	$(stdenv) debstd -m | grep -v 'Dangling symlink'
	dpkg-gencontrol -isp -p$(develop) -P$(dirdev)
	dpkg-gencontrol -isp -p$(library) -P$(dirlib)
	chown -R root.root $(dirtmp) $(dirdev) $(dirlib)
	chmod -R go=rX $(dirtmp) $(dirdev) $(dirlib)
	dpkg --build $(dirdev) ..
	dpkg --build $(dirlib) .. 

binary: binary-indep binary-arch

checkroot:
	test 0 -eq `id -u`

.PHONY: binary binary-arch binary-indep clean checkroot

## dmapi 2.2.5-1

=== debian/Makefile ===
--- 
+++ 
@@ -15,7 +15,6 @@
 
 install: default
 ifeq ($(PKG_DISTRIBUTION), debian)
-	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
 	$(INSTALL) -m 755 -d $(LIB_DOC_DIR)
 	$(INSTALL) -m 644 copyright $(LIB_DOC_DIR)
 	$(INSTALL) -m 644 changelog $(LIB_DOC_DIR)/changelog.Debian
@@ -23,7 +22,6 @@
 
 install-dev: default
 ifeq ($(PKG_DISTRIBUTION), debian)
-	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
 	$(INSTALL) -m 755 -d $(DEV_DOC_DIR)
 	$(INSTALL) -m 644 copyright $(DEV_DOC_DIR)
 	$(INSTALL) -m 644 changelog $(DEV_DOC_DIR)/changelog.Debian

=== libdm/Makefile ===
--- 
+++ 
@@ -15,6 +15,13 @@
 	 dm_event.c dm_handle.c dm_handle2path.c dm_hole.c dm_mountinfo.c \
 	 dm_region.c dm_right.c dm_rdwr.c dm_session.c
 
+ifeq ($(PKG_PLATFORM),linux)
+HFILES += getdents.h
+CFILES += getdents.c
+else
+LSRCFILES = getdents.h getdents.c
+endif
+
 default: $(LTLIBRARY)
 
 include $(BUILDRULES)

=== man/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

SUBDIRS = man3

default install install-dev : $(SUBDIRS)
	$(SUBDIRS_MAKERULE)

include $(BUILDRULES)

=== debian/changelog ===
dmapi (2.2.5-1) unstable; urgency=low

  * New upstream release
  * Switch from debmake to debhelper

 -- Nathan Scott <nathans@debian.org>  Tue, 28 Mar 2006 17:24:09 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Nathan Scott <nathans@debian.org>
-Build-Depends: xfslibs-dev (>= 2.7.13), autoconf, debmake, libtool
+Build-Depends: xfslibs-dev (>= 2.7.13), autoconf, debhelper (>= 5), libtool
 Standards-Version: 3.5.9
 
 Package: libdm0
@@ -23,7 +23,7 @@
 Package: libdm0-dev
 Section: libdevel
 Priority: extra
-Depends: libc6-dev, libdm0, xfslibs-dev (>= 2.7.13)
+Depends: libc6-dev | libc-dev, libdm0, xfslibs-dev (>= 2.7.13)
 Provides: dmapi-dev
 Replaces: dmapi-dev
 Conflicts: xfslibs-dev (<< 2.7.13)

## dmapi 2.2.8-1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
+# Copyright (c) 2000-2006 Silicon Graphics, Inc.  All Rights Reserved.
 #
 
 TOPDIR = .
@@ -39,6 +39,7 @@
 		--bindir=/usr/bin \
 		--libdir=/lib \
 		--libexecdir=/usr/lib \
+		--enable-lib64=yes \
 		--includedir=/usr/include \
 		--mandir=/usr/share/man \
 		--datadir=/usr/share \
@@ -46,12 +47,14 @@
 	touch .census
 
 aclocal.m4::
-	aclocal --acdir=$(TOPDIR)/m4 --output=$@
+	aclocal --acdir=`pwd`/m4 --output=$@
 
 install: default
 	$(SUBDIRS_MAKERULE)
+ifneq ($(PKG_DISTRIBUTION), debian)
 	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
 	$(INSTALL) -m 644 README $(PKG_DOC_DIR)
+endif
 
 install-dev: default
 	$(SUBDIRS_MAKERULE)

=== include/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

HFILES = dmapi.h
LSRCFILES = builddefs.in buildmacros buildrules dmapi_kern.h
LDIRT = xfs

default install :
	rm -f xfs
	$(LN_S) . xfs

include $(BUILDRULES)

install-dev: default
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
	$(INSTALL) -m 644 $(HFILES) $(PKG_INC_DIR)

=== debian/changelog ===
dmapi (2.2.8-1) unstable; urgency=low

  * New upstream release (closes: #402033)
  * Switch from debmake to debhelper (closes: #372999)

 -- Nathan Scott <nathans@debian.org>  Mon, 28 May 2007 16:17:35 +1000

## dmapi 2.2.10

=== Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

CONFIGURE = aclocal.m4 configure config.guess config.sub configure install-sh \
	    ltmain.sh m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 \
	    m4/ltversion.m4 m4/lt~obsolete.m4
LSRCFILES = configure.in Makepkgs release.sh README VERSION $(CONFIGURE)

LDIRT = config.log .dep config.status config.cache confdefs.h conftest* \
	Logs/* built .census install.* install-dev.* *.gz autom4te.cache/* \
	libtool include/builddefs

LIB_SUBDIRS = include libdm
TOOL_SUBDIRS = m4 man doc debian build

SUBDIRS = $(LIB_SUBDIRS) $(TOOL_SUBDIRS)

default: include/builddefs
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(MAKE) $(SUBDIRS)
endif

# tool/lib dependencies
# There don't appear to be any dependencies between subdirs

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

# Recent versions of libtool require the -i option for copying auxiliary
# files (config.sub, config.guess, install-sh, ltmain.sh), while older
# versions will copy those files anyway, and don't understand -i.
LIBTOOLIZE_INSTALL = `libtoolize -n -i >/dev/null 2>/dev/null && echo -i`

configure:
	libtoolize -c $(LIBTOOLIZE_INSTALL) -f
	cp include/install-sh .
	aclocal -I m4
	autoconf

include/builddefs: configure
	./configure \
		--prefix=/ \
		--exec-prefix=/ \
		--sbindir=/bin \
		--bindir=/usr/bin \
		--libdir=/lib \
		--libexecdir=/usr/lib \
		--enable-lib64=yes \
		--includedir=/usr/include \
		--mandir=/usr/share/man \
		--datadir=/usr/share \
		$$LOCAL_CONFIGURE_OPTIONS
	touch .census

install: default $(addsuffix -install,$(SUBDIRS))
ifneq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)
endif

install-dev: default $(addsuffix -install-dev,$(SUBDIRS))

%-install:
	$(MAKE) -C $* install

%-install-dev:
	$(MAKE) -C $* install-dev

distclean: clean
	rm -f $(LDIRT)

realclean: distclean
	rm -f $(CONFIGURE)
